package com.example.jsinjection;

import android.support.v7.app.ActionBarActivity;
import android.annotation.SuppressLint;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends ActionBarActivity {
    EditText editText;
    WebView webView; 
	@SuppressLint("SetJavaScriptEnabled")
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		webView = (WebView) findViewById(R.id.webView1);
		webView.getSettings().setJavaScriptEnabled(true);
		webView.setWebChromeClient(new WebChromeClient());
		webView.setWebViewClient(new WebViewClient());
		webView.loadData("<html>" +
				"<head>" +
				"<script>" +
				"function displayDate() {" + //this is function for getting current date 
				"var d = new Date();" +
				"document.getElementById('demo').innerHTML = 'Date: ' + d.getDate() + '-' + d.getMonth() + '-' + d.getFullYear();" +
						"}" +
						"</script>" +
						"</head>" +
						"<body>" +
						"<p>Hello, I am <span id='name'></span></p>" +
						"<p id='demo'> </p>" +
						"</body>" +
						"</html>","text/html","UTF-8");
		Button button = (Button) findViewById(R.id.button1);
		editText = (EditText) findViewById(R.id.editText1);
		button.setOnClickListener(new View.OnClickListener() {			
			@Override
			public void onClick(View v) { 
				String name = editText.getText().toString();
				String javascript= "javascript: document.getElementById('name').innerHTML = '"+name+"'; displayDate();";
				webView.loadUrl(javascript);
			}
		});
	}
}
